DataLinker - File data generation + source file with LABEL equ ADDRESS

07/11/2004
dataLinker-0.0.1-src
dataLinker-0.0.1-bin-win32

This tool pack many input data file in one or more output data file. It's also generate a source file with right data definition.
It automatically organize data in order to minimize memory usage (according to data address masking)

Usage : dataLinker <-z $1 $2 $3 $4>+ <-d $1 $2 $3>+ [-o $1] [-c $1] [-h]
   Link data and create a .z80 file

   -z <$1> <$2> <$3> <$4> | --zone <$1> <$2> <$3> <$4>   Define a zone named $1 in bank $2 from $3 to $4
   -d <$1> <$2> <$3> | --dataFilename <$1> <$2> <$3>     Load a data file $1 with label $2 and mask $3 to be linked
   -o <$1> | --output <$1>                               Z80 output filename
   -c <$1> | --configFile <$1>                           Configuration file
   -h | --help                                           Display help

myConfigFile.cfg :
;********************************************
; Load all data file and try to put them into the 2 data zone define
; For data place in memory, output a :
; LABEL EQU address
; in the output file (to be include in your general file source)
; The 3 first datas are aligned to address with low byte = 0
-z zone.da0 0xc0 0x1000 0x3fff
-z zone.da1 0xc0 0x5000 0x7fff

-d curvePos.dat T_CURVE_POS 0xff00
-d curveHeight.dat T_CURVE_HAUT 0xff00
-d curveMove.dat T_CURVE_MOVE 0xff00
-d logo.dat T_ADR_GFX_LOGO 0xffff
-d bottom.dat T_ADR_GFX_BOTTOM 0xffff
-d top.dat T_ADR_GFX_TOP 0xffff

-o dataAddress.z80
;*********************************************